import { z } from "zod"

export const displayWebPageSchema = z
  .object({
    healthGym: z.boolean().default(false),
    meetingRoom: z.boolean().default(false),
    parking: z.boolean().default(false),
    specialNeeds: z.boolean().default(false),
  })
  .nullish()
  .transform(
    (object) =>
      object ?? {
        healthGym: false,
        meetingRoom: false,
        parking: false,
        specialNeeds: false,
      }
  )
